Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 709314 - games-rpg/kqlives-0.99-r1 : fails to build with -fno-common or gcc-10
Summary: games-rpg/kqlives-0.99-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-11 17:57 UTC by Toralf Förster
Modified: 2020-05-31 16:20 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.75 KB, text/plain)
2020-02-11 17:57 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,76.80 KB, text/plain)
2020-02-11 17:57 UTC, Toralf Förster
Details
environment (environment,25.35 KB, text/plain)
2020-02-11 17:57 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.76 KB, application/x-bzip)
2020-02-11 17:57 UTC, Toralf Förster
Details
games-rpg:kqlives-0.99-r1:20200211-161353.log (games-rpg:kqlives-0.99-r1:20200211-161353.log,75.24 KB, text/plain)
2020-02-11 17:57 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,12.10 KB, application/x-bzip)
2020-02-11 17:57 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,15.83 KB, application/x-bzip)
2020-02-11 17:57 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-11 17:57:19 UTC
maps/mapstructs.c:94:13: warning: ISO C90 forbids mixed declarations and code [-Wdeclaration-after-statement]
   94 |             s_bound temp;
      |             ^~~~~~~
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o mapdraw mapdata.o mapedit.o mapfile.o mapent.o mapshared.o disk.o mapstructs.o bounds.o -laldmb -ldumb -L/usr/lib64 -lalleg  -llua -lm 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: bounds.o:(.bss+0x0): multiple definition of `bound_box'; mapshared.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma_systemd-20200209-185605

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
2)	JamVM JDK 2.0.0 [jamvm]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
  [2]   jamvm 
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 11 Feb 2020 15:11:19 +0000

emerge -qpvO games-rpg/kqlives
[ebuild  N    ] games-rpg/kqlives-0.99-r1  USE="nls -cheats"
Comment 1 Toralf Förster gentoo-dev 2020-02-11 17:57:22 UTC
Created attachment 613396 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-11 17:57:25 UTC
Created attachment 613398 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-11 17:57:28 UTC
Created attachment 613400 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-11 17:57:31 UTC
Created attachment 613402 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-11 17:57:34 UTC
Created attachment 613404 [details]
games-rpg:kqlives-0.99-r1:20200211-161353.log
Comment 6 Toralf Förster gentoo-dev 2020-02-11 17:57:37 UTC
Created attachment 613406 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-02-11 17:57:40 UTC
Created attachment 613408 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-05-31 16:20:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=937267cc25f0c65aad8aa5c7d9ebcf9fdd90a5cf

commit 937267cc25f0c65aad8aa5c7d9ebcf9fdd90a5cf
Author:     Azamat H. Hackimov <azamat.hackimov@gmail.com>
AuthorDate: 2020-02-24 14:39:03 +0000
Commit:     James Le Cuirot <chewi@gentoo.org>
CommitDate: 2020-05-31 16:19:38 +0000

    games-rpg/kqlives: fixes to package
    
    * Added >=media-libs/dumb-2.0.3 support
    * Fixed installation step (#661422)
    * Fixed file collision with dev-lang/qu-prolog (#597790): now package
    installs ${PN} files instead kq
    * Fixed GCC 10 compilation error (#709314)
    
    Closes: https://bugs.gentoo.org/597790
    Closes: https://bugs.gentoo.org/661422
    Closes: https://bugs.gentoo.org/709314
    Closes: https://github.com/gentoo/gentoo/pull/14760
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Azamat H. Hackimov <azamat.hackimov@gmail.com>
    Signed-off-by: James Le Cuirot <chewi@gentoo.org>

 .../kqlives/files/kqlives-0.99_autoconf.patch      | 93 ++++++++++++++++++++++
 games-rpg/kqlives/files/kqlives-0.99_dumb2.patch   | 13 +++
 games-rpg/kqlives/files/kqlives-0.99_gcc10.patch   | 13 +++
 games-rpg/kqlives/kqlives-0.99-r2.ebuild           | 54 +++++++++++++
 4 files changed, 173 insertions(+)